/***************************************************************
 * Name:      boxsizer.cpp
 * Purpose:   Code for Dialog boxSizer
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-04-11
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "boxsizer.h"


BEGIN_EVENT_TABLE(boxSizer, wxDialog)
    EVT_CLOSE(boxSizer::OnClose)
    EVT_BUTTON(wxID_OK, boxSizer::OnOk)
END_EVENT_TABLE()

boxSizer::boxSizer(wxDialog *dlg)
    : wxDialog(dlg, -1, "Ejemplo wxBoxSizer")
{
    wxBoxSizer *boxHorizontal1;
    wxBoxSizer *boxVertical1;
    wxBoxSizer *boxVertical2;
    wxBoxSizer *boxHorizontal2;
    wxButton* boton;
    wxString cad;

    boxHorizontal1 = new wxBoxSizer(wxHORIZONTAL);
    boxVertical1 = new wxBoxSizer(wxVERTICAL);
    boxVertical2 = new wxBoxSizer(wxVERTICAL);
    boxHorizontal2 = new wxBoxSizer(wxHORIZONTAL);
    for(int i = 0; i < 10; i++) {
        cad = "";
        cad << "Boton &" << i;
        boxVertical1->Add(new wxButton(this, wxID_ANY, cad), wxSizerFlags().Border(wxTOP | wxLEFT));
    }
    boxHorizontal1->Add(boxVertical1, wxSizerFlags().Border(wxBOTTOM));

    for(char i = 'k'; i < 's'; i++) {
        cad = "";
        cad << "Texto " << i;
        boxVertical2->Add(new wxStaticText(this, wxID_ANY, cad, wxDefaultPosition, wxDefaultSize, wxBORDER_RAISED), wxSizerFlags().Border(wxTOP | wxLEFT));
    }
    //boxHorizontal1->Add(boxVertical2, wxSizerFlags().Border(wxBOTTOM));

    for(char i = 'A'; i < 'F'; i++) {
        cad = "";
        cad << "Boton &" << i;
        boxHorizontal2->Add(new wxButton(this, wxID_ANY, cad), wxSizerFlags().Border(wxTOP | wxLEFT));
    }
    boxVertical2->Add(boxHorizontal2, wxSizerFlags().Border());

    boton = new wxButton(this, wxID_OK, wxT("&Aceptar"));
    boxVertical2->Add(boton, wxSizerFlags().Border());

    boxHorizontal1->Add(boxVertical2, wxSizerFlags().Border());

    SetSizerAndFit(boxHorizontal1);
}

boxSizer::~boxSizer()
{
}

void boxSizer::OnClose(wxCloseEvent &event)
{
    Destroy();
}

void boxSizer::OnOk(wxCommandEvent &event)
{
    Destroy();
}

