/***************************************************************
 * Name:      flexgridsizer.cpp
 * Purpose:   Code for Dialog flexGridSizer
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-04-11
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "flexgridsizer.h"

BEGIN_EVENT_TABLE(flexGridSizer, wxDialog)
    EVT_CLOSE(flexGridSizer::OnClose)
    EVT_BUTTON(wxID_OK, flexGridSizer::OnOk)
END_EVENT_TABLE()

flexGridSizer::flexGridSizer(wxDialog *dlg)
    : wxDialog(dlg, -1, "Ejemplo wxGridSizer",wxDefaultPosition, wxDefaultSize, wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER)
{
    wxString cad;
    int w=80,h=15;

    sizer = new wxFlexGridSizer(3, 10, 10);
    for(char i = 'a'; i <= 'z'; i++) {
        cad = "";
        cad << "Texto (" << i << ")";
        w++; // = 90+random(50);
        h++; // = 15+random(30);
        sizer->Add(new wxStaticText(this, wxID_ANY, cad, wxDefaultPosition, wxSize(w, h), wxBORDER_SUNKEN), wxSizerFlags().Border(wxTOP | wxLEFT));
    }
    sizer->Add(new wxButton(this, wxID_OK, "&Salir"), wxSizerFlags().Border());
    SetSizerAndFit(sizer);
}

flexGridSizer::~flexGridSizer()
{
}

void flexGridSizer::OnClose(wxCloseEvent &event)
{
    Destroy();
}

void flexGridSizer::OnOk(wxCommandEvent &event)
{
    Destroy();
}

int flexGridSizer::random(int rango) {
    return floor((float)rango*rand()/RAND_MAX);
}

