/***************************************************************
 * Name:      gridbagsizer.cpp
 * Purpose:   Code for Dialog flexGridSizer
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-04-11
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "gridbagsizer.h"

BEGIN_EVENT_TABLE(gridBagSizer, wxDialog)
    EVT_CLOSE(gridBagSizer::OnClose)
    EVT_BUTTON(wxID_OK, gridBagSizer::OnOk)
END_EVENT_TABLE()

gridBagSizer::gridBagSizer(wxDialog *dlg)
    : wxDialog(dlg, -1, "Ejemplo wxGridBagSizer",wxDefaultPosition, wxDefaultSize, wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER)
{
    wxGridBagSizer *sizer;

    sizer = new wxGridBagSizer(10, 10);
    sizer->Add(new wxStaticText(this, wxID_ANY, _T("CAD 1"), wxDefaultPosition, wxSize(60,25), wxBORDER_SUNKEN), wxGBPosition(0,0), wxGBSpan(1, 1), 0, 2);
    sizer->Add(new wxStaticText(this, wxID_ANY, _T("CAD 2"), wxDefaultPosition, wxSize(60,50), wxBORDER_SUNKEN), wxGBPosition(0,1), wxGBSpan(2, 1));
    sizer->Add(new wxStaticText(this, wxID_ANY, _T("CAD 3"), wxDefaultPosition, wxSize(60,25), wxBORDER_SUNKEN), wxGBPosition(0,2), wxGBSpan(1, 1));
    sizer->Add(new wxStaticText(this, wxID_ANY, _T("CAD 4"), wxDefaultPosition, wxSize(60,25), wxBORDER_SUNKEN), wxGBPosition(1,0), wxGBSpan(1, 1));
    sizer->Add(new wxStaticText(this, wxID_ANY, _T("CAD 5"), wxDefaultPosition, wxSize(180,25), wxBORDER_SUNKEN), wxGBPosition(2,0), wxGBSpan(1, 3));
    sizer->Add(new wxButton(this, wxID_OK, "&Salir"), wxGBPosition(3,1), wxGBSpan(1, 2));
    SetSizerAndFit(sizer);
}

gridBagSizer::~gridBagSizer()
{
}

void gridBagSizer::OnClose(wxCloseEvent &event)
{
    Destroy();
}

void gridBagSizer::OnOk(wxCommandEvent &event)
{
    Destroy();
}


