/***************************************************************
 * Name:      staticboxsizer.cpp
 * Purpose:   Code for Dialog staticBoxSizer
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-04-11
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "staticboxsizer.h"


BEGIN_EVENT_TABLE(staticBoxSizer, wxDialog)
    EVT_CLOSE(staticBoxSizer::OnClose)
    EVT_BUTTON(wxID_OK, staticBoxSizer::OnOk)
END_EVENT_TABLE()

staticBoxSizer::staticBoxSizer(wxDialog *dlg)
    : wxDialog(dlg, -1, "Ejemplo wxStaticBoxSizer")
{
    wxStaticBoxSizer *boxHorizontal1;
    wxStaticBoxSizer *boxVertical1;
    wxStaticBoxSizer *boxVertical2;
    wxStaticBoxSizer *boxHorizontal2;
    wxButton* boton;
    wxString cad;

    boxHorizontal1 = new wxStaticBoxSizer(wxHORIZONTAL, this, "Horizontal 1");
    boxVertical1 = new wxStaticBoxSizer(wxVERTICAL, this, "Vertical 1");
    boxVertical2 = new wxStaticBoxSizer(wxVERTICAL, this, "Vertical 2");
    boxHorizontal2 = new wxStaticBoxSizer(wxHORIZONTAL, this, "Horizontal 2");
    for(int i = 0; i < 10; i++) {
        cad = "";
        cad << "Boton &" << i;
        boxVertical1->Add(new wxButton(this, wxID_ANY, cad), wxSizerFlags().Border(wxTOP | wxLEFT));
    }
    boxHorizontal1->Add(boxVertical1, wxSizerFlags().Border(wxBOTTOM));

    for(char i = 'k'; i < 's'; i++) {
        cad = "";
        cad << "Texto " << i;
        boxVertical2->Add(new wxStaticText(this, wxID_ANY, cad, wxDefaultPosition, wxDefaultSize, wxBORDER_RAISED), wxSizerFlags().Border(wxTOP | wxLEFT));
    }
    //boxHorizontal1->Add(boxVertical2, wxSizerFlags().Border(wxBOTTOM));

    for(char i = 'A'; i < 'F'; i++) {
        cad = "";
        cad << "Boton &" << i;
        boxHorizontal2->Add(new wxButton(this, wxID_ANY, cad), wxSizerFlags().Border(wxTOP | wxLEFT));
    }
    boxVertical2->Add(boxHorizontal2, wxSizerFlags().Border());

    boton = new wxButton(this, wxID_OK, wxT("&Aceptar"));
    boxVertical2->Add(boton, wxSizerFlags().Border());

    boxHorizontal1->Add(boxVertical2, wxSizerFlags().Border());

    SetSizerAndFit(boxHorizontal1);
}

staticBoxSizer::~staticBoxSizer()
{
}

void staticBoxSizer::OnClose(wxCloseEvent &event)
{
    Destroy();
}

void staticBoxSizer::OnOk(wxCommandEvent &event)
{
    Destroy();
}

