/***************************************************************
 * Name:      staticboxsizer.cpp
 * Purpose:   Code for Dialog stdDialogButtonSizer
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-04-11
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "stdDialogButtonSizer.h"

BEGIN_EVENT_TABLE(stdDialogButtonSizer, wxDialog)
    EVT_CLOSE(stdDialogButtonSizer::OnClose)
    EVT_BUTTON(wxID_OK, stdDialogButtonSizer::OnOk)
END_EVENT_TABLE()

stdDialogButtonSizer::stdDialogButtonSizer(wxDialog *dlg)
    : wxDialog(dlg, -1, "Ejemplo wxStdDialogButtonSizer")
{
    wxBoxSizer *boxVertical;
    wxStdDialogButtonSizer *boxButtons;
    wxString cad;

    boxVertical = new wxBoxSizer(wxVERTICAL);
    boxButtons = new wxStdDialogButtonSizer();

    for(char i = 'k'; i < 's'; i++) {
        cad = "";
        cad << "Texto " << i;
        boxVertical->Add(new wxStaticText(this, wxID_ANY, cad, wxDefaultPosition, wxDefaultSize, wxBORDER_RAISED), wxSizerFlags().Border(wxTOP | wxLEFT));
    }
    boxButtons->AddButton(new wxButton(this, wxID_OK));
    boxButtons->AddButton(new wxButton(this, wxID_APPLY));
    boxButtons->AddButton(new wxButton(this, wxID_CANCEL));
    boxButtons->AddButton(new wxButton(this, wxID_HELP));
    boxButtons->Realize();

    boxVertical->Add(boxButtons, wxSizerFlags().Border());

    SetSizerAndFit(boxVertical);
}

stdDialogButtonSizer::~stdDialogButtonSizer()
{
}

void stdDialogButtonSizer::OnClose(wxCloseEvent &event)
{
    Destroy();
}

void stdDialogButtonSizer::OnOk(wxCommandEvent &event)
{
    Destroy();
}

