/***************************************************************
 * Name:      wrapsizer.cpp
 * Purpose:   Code for Dialog wrapSizer
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-04-11
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wrapsizer.h"

BEGIN_EVENT_TABLE(wrapSizer, wxDialog)
    EVT_CLOSE(wrapSizer::OnClose)
    EVT_BUTTON(wxID_OK, wrapSizer::OnOk)
END_EVENT_TABLE()

wrapSizer::wrapSizer(wxDialog *dlg)
    : wxDialog(dlg, -1, "Ejemplo wxWrapSizer",wxDefaultPosition, wxDefaultSize, wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER)
{
    wxWrapSizer *sizer;
    wxString cad;

    sizer = new wxWrapSizer(wxHORIZONTAL);
    for(char i = 'a'; i < 'z'; i++) {
        cad = "";
        cad << "<---- Texto (" << i << ") ---->";
        sizer->Add(new wxStaticText(this, wxID_ANY, cad, wxDefaultPosition, wxDefaultSize, wxBORDER_SUNKEN), wxSizerFlags().Border(wxTOP | wxLEFT));
    }
    sizer->Add(new wxButton(this, wxID_OK, "&Salir"), wxSizerFlags().Border());
    SetSizerAndFit(sizer);
    SetInitialSize();
}

wrapSizer::~wrapSizer()
{
}

void wrapSizer::OnClose(wxCloseEvent &event)
{
    Destroy();
}

void wrapSizer::OnOk(wxCommandEvent &event)
{
    Destroy();
}

