#ifndef HEADER_E1B1D7E3EC0F80
#define HEADER_E1B1D7E3EC0F80

/***************************************************************
 * Name:      wx002Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-04-10
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef WX004MAIN_H
#define WX004MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "wx004App.h"
#include <wx/imagpng.h>
#include <wx/generic/statbmpg.h>
#include <wx/button.h>
#include <wx/statline.h>
#include <wx/wrapsizer.h>
#include <wx/sizer.h>

class wx004Dialog: public wxDialog
{
    public:
        wx004Dialog(wxDialog *dlg, const wxString& title);
        ~wx004Dialog();

    protected:
        enum
        {
            idBoxSizer = 1000,
            idStaticBoxSizer,
            idStdDialogButtonSizer,
            idWrapSizer,
            idGridSizer,
            idFlexGridSizer,
            idGridBagSizer,
            idBtnQuit,
            idBtnAbout
        };

    private:
        void OnClose(wxCloseEvent& event);
        void OnBoxSizer(wxCommandEvent& event);
        void OnStaticBoxSizer(wxCommandEvent& event);
        void OnStdDialogButtonSizer(wxCommandEvent& event);
        void OnWrapSizer(wxCommandEvent& event);
        void OnGridSizer(wxCommandEvent& event);
        void OnFlexGridSizer(wxCommandEvent& event);
        void OnGridBagSizer(wxCommandEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};

#endif // WX004MAIN_H
#endif // header guard

